##### posix::basic_descriptor::basic_descriptor (4 of 5 overloads)

Construct a descriptor on an existing native descriptor.

    template<
        typename ExecutionContext>
    basic_descriptor(
        ExecutionContext & context,
        const native_handle_type & native_descriptor,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value >::type *  = 0);

This constructor creates a descriptor object to hold an existing native descriptor.

###### Parameters

context

  An execution context which provides the I/O executor that the descriptor will use, by default, to dispatch handlers for any asynchronous operations performed on the descriptor.

native_descriptor

  A native descriptor.

###### Exceptions

asio::system_error

  Thrown on failure.